Bug 1568687 - Incorrect type description for RHV credential
Summary: Incorrect type description for RHV credential
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: All
OS: All
high
low
Target Milestone: GA
: 5.10.0
Assignee: Milan Zázrivec
QA Contact: Dmitry Misharov
URL:
Whiteboard: ansible:ui
: 1665528 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 06:21 UTC by Dmitry Misharov
Modified: 2019-02-07 23:01 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:41 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Screenshot of the bug (20.65 KB, image/png)
2018-04-18 06:21 UTC, Dmitry Misharov
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:49 UTC

Description Dmitry Misharov 2018-04-18 06:21:26 UTC
Created attachment 1423350 [details]
Screenshot of the bug

Description of problem:
In the list of ansible credentials, an RHV credential has type "ManageIQ/Providers/Embedded Ansible/Automation Manager/Rhv Credential"

Version-Release number of selected component (if applicable):
5.9.2.2.20180410215257_6961422 

How reproducible:
Always

Steps to Reproduce:
1. Add an RHV ansible credential.

Actual results:
Type column in the list of credentials RHV has such string: "ManageIQ/Providers/Embedded Ansible/Automation Manager/Rhv Credential" 

Expected results:
Credential (RHV)

Comment 3 Milan Zázrivec 2018-04-23 10:46:21 UTC
https://github.com/ManageIQ/manageiq/pull/17330

Comment 4 CFME Bot 2018-06-12 14:26:36 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/12e3eec7265ff0a1f7a4848bc5e63d8382e45c9f
commit 12e3eec7265ff0a1f7a4848bc5e63d8382e45c9f
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Mon Apr 23 06:44:46 2018 -0400
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Mon Apr 23 06:44:46 2018 -0400

    Add display name for RHV Embedded Ansible Credential

    https://bugzilla.redhat.com/show_bug.cgi?id=1568687

 locale/en.yml | 1 +
 1 file changed, 1 insertion(+)

Comment 5 Dmitry Misharov 2018-06-22 10:23:57 UTC
Fixed and verified in 5.10.0.1.20180619163011_900fdc4.

Comment 6 Milan Zázrivec 2019-01-14 10:11:10 UTC
*** Bug 1665528 has been marked as a duplicate of this bug. ***

Comment 7 Milan Zázrivec 2019-01-14 10:25:48 UTC
*** Bug 1665528 has been marked as a duplicate of this bug. ***

Comment 8 Milan Zázrivec 2019-01-18 10:04:28 UTC
*** Bug 1665528 has been marked as a duplicate of this bug. ***

Comment 10 errata-xmlrpc 2019-02-07 23:01:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.